Skip to content
Ona Docs

UpdateEnvironmentClass

POST/gitpod.v1.RunnerConfigurationService/UpdateEnvironmentClass

Updates an environment class.

Use this method to:

  • Modify class settings
  • Update resource limits
  • Change availability

Examples

  • Update class:

    Changes class configuration.

    environmentClassId: "d2c94c27-3b76-4a42-b88c-95a85e392c68"
    displayName: "Updated Large Instance"
    description: "16 CPU, 32GB RAM"
    enabled: true
Body ParametersJSONExpand Collapse
description: optional string
maxLength200
minLength3
displayName: optional string
maxLength127
minLength3
enabled: optional boolean
environmentClassId: optional string
formatuuid

UpdateEnvironmentClass

curl https://app.gitpod.io/api/gitpod.v1.RunnerConfigurationService/UpdateEnvironmentClass \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $GITPOD_API_KEY" \
    -d '{}'
{}
Returns Examples
{}